Get Backlog by Product Report
curl --request POST \
--url https://api.example.com/api/reporting/{deploymentId}/reports/backlog/by-product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"timePeriod": {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
},
"projects": [
"<string>"
],
"tags": [
"<string>"
],
"teams": [
"<string>"
],
"ruleIds": [
"<string>"
],
"findingCategories": [
"<string>"
],
"projectIds": [
"<string>"
]
}
}
'import requests
url = "https://api.example.com/api/reporting/{deploymentId}/reports/backlog/by-product"
payload = { "filters": {
"timePeriod": {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
},
"projects": ["<string>"],
"tags": ["<string>"],
"teams": ["<string>"],
"ruleIds": ["<string>"],
"findingCategories": ["<string>"],
"projectIds": ["<string>"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
timePeriod: {since: '2023-11-07T05:31:56Z', until: '2023-11-07T05:31:56Z'},
projects: ['<string>'],
tags: ['<string>'],
teams: ['<string>'],
ruleIds: ['<string>'],
findingCategories: ['<string>'],
projectIds: ['<string>']
}
})
};
fetch('https://api.example.com/api/reporting/{deploymentId}/reports/backlog/by-product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"buckets": [
{
"timePeriod": {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
},
"code": 123,
"sca": 123,
"secrets": 123
}
]
}Reporting
Get Backlog by Product Report
POST
/
api
/
reporting
/
{deploymentId}
/
reports
/
backlog
/
by-product
Get Backlog by Product Report
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier of the deployment associated with the report.
Example:
"1234"
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I